sequence.sequenceinterface

## Interface Sequence

- All Superinterfaces:
    BaseSequence, CommonBase
  All Known Subinterfaces:
    ReorganizableSequence, SortableSequence

      public interface Sequence
      extends BaseSequence

  Specifikace posloupnosti.

  Užití: deklarujte proměnné, implementujte třídou.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(Element elem)` Vloží elem za poslední prvek posloupnosti.
    `void` | `insert(Element elem)` Vloží elem před běžný prvek.
    `boolean` | `isFirst()` Zjistí, zda běžný prvek je první.
    `boolean` | `isLast()` Zjistí, zda běžný prvek je poslední.
    `void` | `moveFirst()` Učiní hlavu běžným prvkem.
    `void` | `moveLast()` Učiní ocas běžným prvkem.
    `void` | `moveNext()` Učiní následující prvek běžným prvkem.
    `void` | `movePrev()` Učiní předcházející prvek běžným prvkem.
    `void` | `moveTo(int index)` Učiní index-tý prvek běžným prvkem.
    `Element` | `remove()` Odstraní běžný prvek.

    - ### Methods inherited from interface sequence.sequenceinterface.BaseSequence

      `getCount, isEmpty, isFull`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Method Detail

    - #### insert

          void insert(Element elem)

      Vloží elem před běžný prvek.

      Vyžaduje: not isFull

      Parameters:
        `elem` - nový prvek, který se má vložit do posloupnosti

    - #### append

          void append(Element elem)

      Vloží elem za poslední prvek posloupnosti.

      Vyžaduje: not isFull

      Parameters:
        `elem` - nový prvek, který se má připojit k posloupnosti

    - #### remove

          Element remove()

      Odstraní běžný prvek.

      Vyžaduje: not isEmpty

      Returns:
        odstraněný prvek

    - #### moveFirst

          void moveFirst()

      Učiní hlavu běžným prvkem.

      Vyžaduje: not isEmpty

    - #### moveLast

          void moveLast()

      Učiní ocas běžným prvkem.

      Vyžaduje: not isEmpty

    - #### moveNext

          void moveNext()

      Učiní následující prvek běžným prvkem.

      Vyžaduje: not isEmpty

    - #### movePrev

          void movePrev()

      Učiní předcházející prvek běžným prvkem.

      Vyžaduje: not isEmpty

    - #### moveTo

          void moveTo(int index)

      Učiní index-tý prvek běžným prvkem.

      Vyžaduje: not isEmpty

      Parameters:
        `index` - index prvku, který se má stát běžným prvkem

    - #### isFirst

          boolean isFirst()

      Zjistí, zda běžný prvek je první.

      Vyžaduje: not isEmpty

      Returns:
        true když je první, jinak false

    - #### isLast

          boolean isLast()

      Zjistí, zda běžný prvek je poslední.

      Vyžaduje: not isEmpty

      Returns:
        true když je poslední, jinak false